#pragma once
#include "Arduino.h"
#include <U8g2lib.h>
#include "logos.h"
#include "utils.h"

void drawLogo(U8G2 u8g2, e_logo logo);
void drawStatusText(U8G2 u8g2, const String& status, const String& statusRightAligned = "");

void updateOLED(U8G2 u8g2, e_state state, const String& statusText, const String& statusTextRightAligned = "");
void updateOLED(const U8G2& u8g2, e_state state);
